Skip to main content
POST
/
tenants
/
upload-documents
/
{tenantId}
Upload Tenant Documents
curl --request POST \
  --url https://api.skortorent.com/api/v1/tenants/upload-documents/{tenantId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'docs=<string>' \
  --form 'fileType=<string>' \
  --form docs.items='@example-file'
import requests

url = "https://api.skortorent.com/api/v1/tenants/upload-documents/{tenantId}"

files = { "docs.items": ("example-file", open("example-file", "rb")) }
payload = {
"docs": "<string>",
"fileType": "<string>"
}
headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, data=payload, files=files, headers=headers)

print(response.text)
const form = new FormData();
form.append('docs', '<string>');
form.append('fileType', '<string>');
form.append('docs.items', '{
"fileName": "example-file"
}');

const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

options.body = form;

fetch('https://api.skortorent.com/api/v1/tenants/upload-documents/{tenantId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "message": "<string>",
  "data": {}
}
{
"status": "error",
"message": "<string>"
}
{
"status": "error",
"message": "<string>"
}
{
"status": "error",
"message": "<string>"
}
{
"status": "error",
"message": "<string>"
}

Authorizations

Authorization
string
header
required

HTTP Bearer Authentication. Pass the token generated via /keys/generate-token as Authorization: Bearer <token>.

Path Parameters

tenantId
string
required

Body

multipart/form-data
docs
file[]
required

One or more documents to upload. Each document must not exceed 4 MB. The total upload size per request must not exceed 20 MB. Allowed file types: - application/pdf - image/jpeg - image/jpg - image/png

Minimum array length: 1
fileType
string
required

Type of the uploaded document. If set to unknown-type, document analysis will be triggered.

Response

Successful response

status
enum<string>
Available options:
success
message
string
data
object